Subject: bug#41242: Port feature/native-comp to Windows

From: Nicolas Bértolo <[email-masked]>
Date: Sat, 23 May 2020 14:20:09 -0300

> My observation was based on the fact that addresses of the same
> objects that I see in the debugger are different from session to
> session on Windows 7 and Windows 10, but not on XP.

That would mean that the heap is randomized, right? But the code could
still be always loaded at the same address.

Coming back to the performance problem when loading: apart from reducing
the number of files probed, we could try parallelizing openp() using a
thread
pool. What do you think?

Nicolas

El sáb., 23 may. 2020 a las 14:04, Eli Zaretskii (<[email-masked]>) escribió:

> > From: Nicolas Bértolo <[email-masked]>
> > Date: Sat, 23 May 2020 13:20:06 -0300
> > Cc: Andrea Corallo <[email-masked]>, [email-masked]
> >
> > > I don't think so, I see it on modern versions of Windows all the time.
> >
> > Using ProcessExplorer this is what I see in my machine:
> >
> > - emacs.exe is always loaded @ 0x40000000.
> > - .eln files do not have the ASLR flag enabled and "Image Base" ==
> "Base".
>
> My observation was based on the fact that addresses of the same
> objects that I see in the debugger are different from session to
> session on Windows 7 and Windows 10, but not on XP.
>